package KDDCup05.termstools;

import java.util.Arrays;
import java.util.List;

public class KTermPhrase{

	private String kterms;

	public KTermPhrase() {
		this.kterms = "";
	}

	public KTermPhrase(String word) {
		this.kterms = "";
		String[] words = null;
		if(word.contains("_")){
			words = word.split("_");
		}else{
			words = word.split(" ");
		}
		Arrays.sort(words);
		this.kterms = getString(words);
	}
	
	public void add(String word){	
		if(this.kterms.equals("")){
			this.kterms = word;
		}else{
			String[] words = (this.kterms+"_"+word).split("_");
			Arrays.sort(words);
			this.kterms = getString(words);
		}
	}

	@Override
	public int hashCode(){
		return this.kterms.hashCode();
	}

	@Override
	public boolean equals(Object o)
	{
		return this.kterms.equals(((KTermPhrase)o).kterms);
	}

	public boolean contains(KTermPhrase kt)
	{
		boolean ret = true;

		List<String> ll = Arrays.asList(this.kterms.split("_"));
		for(String x: kt.kterms.split("_")){
			if(!ll.contains(x)) {
				ret = false;
				break;
			}
		}

		return ret;
	}

	@Override
	public String toString()
	{
		return this.kterms;
	}

	private String getString(String [] words){
		String str = "";
		for(int i=0;i<words.length;i++){
			if(i == 0) {
				str = words[i];
			}else{
				str += "_" + words[i];
			}
		}
		return str;
	}
	
	public Object clone(){
		KTermPhrase kt = new KTermPhrase();
		kt.kterms = new String(this.kterms);
		return kt;
	}

}