package KDDCup05.termstools.stem;

public abstract class Stemmer {
	public static final String WORD_SEPARATING_PATTERN = "\\s+";
	public static final String WORD_SEPARATOR = " ";
	
	public abstract String stem(String str, boolean toLower);

	public String stemTextBlock(String block, boolean toLower) {
		String[] words = block.split(WORD_SEPARATING_PATTERN);
		StringBuffer sb = new StringBuffer(block.length());

		for (int i = 0; i < words.length; i++) {
			if (words[i].length() > 0) {
				sb.append(this.stem(words[i], toLower)).append(WORD_SEPARATOR);
			}
		}
		return sb.toString();
	}
}
