/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package virtuoso;

import dialogs.SetUserJFrame;
import finals.Finals;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JLabel;
import org.apache.http.HttpResponse;
import org.apache.http.HttpStatus;
import org.apache.http.auth.AuthScope;
import org.apache.http.auth.UsernamePasswordCredentials;
import org.apache.http.client.CredentialsProvider;
import org.apache.http.client.HttpClient;
import org.apache.http.client.config.RequestConfig;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.BasicCredentialsProvider;
import org.apache.http.impl.client.HttpClientBuilder;

public class VirtuosoAccount {

    public static boolean validateAuthentication(JLabel jl, String username, String password) {

        try {
            CredentialsProvider provider = new BasicCredentialsProvider();
            UsernamePasswordCredentials credentials = new UsernamePasswordCredentials(username, password);
            provider.setCredentials(AuthScope.ANY, credentials);

            RequestConfig requestConfig = RequestConfig.custom().setConnectTimeout(10 * 1000).setSocketTimeout(15 * 1000).build();
            HttpClient client = HttpClientBuilder.create().setDefaultCredentialsProvider(provider).setDefaultRequestConfig(requestConfig).build();

            HttpResponse response = client.execute(new HttpGet(Finals.urlPrivateRDF));
            jl.setText("Try to validate account...");
            int statusCode = response.getStatusLine().getStatusCode();
            //System.out.println(statusCode);
            if (statusCode == HttpStatus.SC_OK) {
                //System.out.println("matched");
                jl.setText("Validated & saved successfully!");
                return true;
            } else if (statusCode == HttpStatus.SC_UNAUTHORIZED) {
                jl.setText("Username or Password is not valid");
            } else {
                jl.setText("Error Code: " + statusCode);
            }
            return false;
        } catch (IOException ex) {
            jl.setText("General connection error");
            Logger.getLogger(VirtuosoAccount.class.getName()).log(Level.SEVERE, null, ex);
            return false;
        }
    }

}
