/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package webserver;

import com.sun.net.httpserver.Headers;
import com.sun.net.httpserver.HttpExchange;
import com.sun.net.httpserver.HttpHandler;
import finals.Finals;

import java.io.IOException;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URI;
import java.net.URISyntaxException;

public class RedirectHandler implements HttpHandler {

    private final String redirectPath;

    /**
     * @param redirectPath relative or absolute path to redirect clients to
     */
    public RedirectHandler(String redirectPath) {
        this.redirectPath = redirectPath;
    }

    @Override
    public void handle(HttpExchange ex) throws IOException {
        Headers responseHeaders = ex.getResponseHeaders();
        responseHeaders.set("Content-Type", "text/html");
        ex.sendResponseHeaders(200, 0);

        OutputStream responseBody = ex.getResponseBody();

        String response = "<!DOCTYPE HTML>\n"
                + "<html lang=\"en-US\">"
                + "<head>"
                + "<meta charset=\"UTF-8\">"
                + "<meta http-equiv=\"refresh\" content=\"0;url="+redirectPath+"\">"
                + "<title>Page Redirection</title>"
                + "</head>"
                + "</html>";

        responseBody.write(response.getBytes());
        responseBody.close();

    }
}
